<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

# функции
include_once '../function.php';

# заголовок
$set['title']='Качалка';

# шапка
include_once '../../sys/inc/thead.php';
title();
err();
aut();

# существует сесия - продолжим
if (isset($user)){

# проверим на лимит
if($user['zona_kach_time']<time()){

# бабок нет
if($user['zona_balls']<25){

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Качалка платная .<br/>
Когда будет <img src="../img/icon/many.gif" alt="*" /> 25 баксов в кармане приходи.
</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';
}

# есть
else{

# обновим в бд
mysql_query("UPDATE `user` SET `zona_sila`=`zona_sila`+'1' ,`zona_balls`=`zona_balls`-'25',`zona_kach_time`='".(time()+21600)."' WHERE `id`='".$user['id']."'");

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/a0_m.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ок . <br/>
К твоей силе прибавилась 1 ед.<br/>
Приходи снова , когда отдохнешь .
</div>';

# выбор действий
echo '<div class="zona_aut"> Ваше действие :</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_header_money.png" alt="*" /> <a href="kachalka.php?action=go"> Качатся</a></div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

}
}

else{

# покажем скрин
echo '<div class="zona_rekl"><img src="../img/game_start_step7_end.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Хей мен !!!<br/>
Если будеш так часто тренироватся , розтянешь себе жопу .<br/>
Приходи через '.maketime($user['zona_kach_time']-time()).'
</div>';
echo '<div class="zona_rekl"><img src="../img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся во двор</a></div>';

}
}

# закроем от гостей
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
include_once '../../sys/inc/tfoot.php';
?>
